/* Helpers */
/* ======================================== fonts ======================================== */
/* ======================================== colors ======================================== */
/* ======================================== fonts sizes ======================================== */
/* ======================================== Grid ======================================== */
/* ====================================== mixins ====================================== */
/* Components */
.btn {
  border: 1px solid #ff0000;
  padding: 0.8em 1.5em;
  border-radius: 50px;
}

/* Base */
/* ======================================== container ======================================== */
.container {
  width: 80%;
  max-width: 1280px;
  margin: 0 auto;
  flex: 1 0 auto;
}

/* ======================================== texts ======================================== */
.text.text--title {
  font-size: 3rem;
  line-height: initial;
}
@media (min-width: 768px) {
  .text.text--title {
    font-size: 4rem;
  }
}
@media (min-width: 992px) {
  .text.text--title {
    font-size: 6rem;
  }
}
.text.text--subtitle {
  font-size: 1rem;
  line-height: initial;
}
@media (min-width: 768px) {
  .text.text--subtitle {
    font-size: 2.25rem;
  }
}
.text.text--para {
  font-size: 1rem;
  line-height: initial;
}
@media (min-width: 768px) {
  .text.text--para {
    font-size: 1rem;
  }
}
.text.text--small {
  font-size: 0.5625rem;
  line-height: initial;
}
@media (min-width: 768px) {
  .text.text--small {
    font-size: 0.6875rem;
  }
}

.text--primary {
  color: #ff0000;
}

.uppercase {
  text-transform: uppercase;
}

/* ======================================== Behavior to 0 ======================================== */
button {
  padding: 0;
}

/* Pages */
html {
  box-sizing: border-box;
  font-family: sans-serif;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

/* ================================================= Footer sticky ================================================== */
html, body {
  height: 100%;
}

body {
  margin: 0;
  display: flex;
  flex-direction: column;
}

.content {
  flex: 1 0 auto;
}

.footer {
  flex-shrink: 0;
}

/* ================================================ Behavior ================================================= */
a,
button,
input[type=submit] {
  cursor: pointer;
}

/* ================================================ Set values to 0 ================================================= */
a {
  text-decoration: none;
  color: inherit;
}

a:active,
a:visited,
a:hover {
  color: inherit;
}

h1, h2, h3, p {
  font-weight: inherit;
  margin: 0;
}

figure, img {
  margin: 0;
}

button {
  border: none;
  background: none;
}

*:focus {
  outline: none;
}

li {
  list-style-type: none;
}

ul {
  padding: 0;
  margin: 0;
  padding-inline-start: 0px;
}